<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui">
<h:head>
</h:head>
<h:body>

	<h:form id="frmStudent" enctype="multipart/form-data">
		<p:autoUpdate />
		<p:panelGrid columns="2" style="margin:auto;" styleClass="shaddow">
			<f:facet name="header">Student Form</f:facet>


			<p:outputLabel value="Name" for="name" />
			<p:inputText type="text" value="#{mbStudent.model.name}" id="name"
				placeholder="Name" disabled="#{mbCode1.allowEdit}" />

			<p:outputLabel value="Major" for="major" />
			<p:inputText type="text" value="#{mbStudent.model.major}" id="major"
				placeholder="Major" disabled="#{mbCode1.allowEdit}" />



			<p:outputLabel value="University" for="university" />
			<p:selectOneMenu value="#{mbStudent.model.university}"
				id="university" disabled="false"
				converter="omnifaces.SelectItemsConverter">
				<f:selectItem itemLabel="Select University" itemValue="#{null}" />
				<f:selectItems value="#{mbUniversity.modelList}" var="ref"
					itemLabel="#{ref.name}" itemValue="#{ref}" />
			</p:selectOneMenu>

			<f:facet name="footer">
				<div align="center">
					<p:commandButton value="Add" action="#{mbStudent.add}"
						rendered="#{mbStudent.allowAdd}" process="@form" />
					<p:commandButton value="Edit" action="#{mbStudent.edit}"
						rendered="#{mbStudent.allowEdit}" process="@this" />
					<ui:remove>
						<p:commandButton value="Duplicate"
							action="#{mbGenerator.duplicate()}"
							rendered="#{mbGenerator.allowEdit}" process="@this" />
					</ui:remove>
					<p:commandButton value="Save" action="#{mbStudent.save}"
						rendered="#{mbStudent.allowSave}" process="@form" />
					<p:commandButton value="Delete" action="#{mbStudent.delete}"
						rendered="#{mbStudent.allowDelete}" process="@this" />
					<p:commandButton value="Reset" action="#{mbStudent.reset}"
						rendered="#{mbStudent.allowReset}" process="@this" />
					<p:commandButton value="Fill" action="#{mbStudent.fill}"
						rendered="#{mbStudent.allowFill}" process="@this" />
					<p:commandButton value="Cancel Edit"
						action="#{mbStudent.cancelEdit()}"
						rendered="#{mbStudent.editMode}" process="@this" />
				</div>
			</f:facet>
		</p:panelGrid>
	</h:form>
	<hr />
	<h:form>
		<p:dataTable value="#{mbStudent.modelList}" var="model"
			rowKey="#{model.id}" paginator="true" paginatorAlwaysVisible="false"
			paginatorPosition="bottom" selectionMode="single"
			filteredValue="#{mbStudent.filterList}"
			selection="#{mbStudent.model}" emptyMessage="" rowIndexVar="row"
			styleClass="shaddow">
			<p:ajax event="rowSelect" />
			<p:autoUpdate />
			<f:facet name="header">Student Data Table</f:facet>
			<p:column headerText="#">#{row+1}</p:column>
			<p:column headerText="name" sortBy="#{model.name}"
				filterBy="#{model.name}" filterMatchMode="contains">
				<h:outputText value="#{model.name==null?'-':model.name}">
				</h:outputText>
			</p:column>
			<p:column headerText="major" sortBy="#{model.major}"
				filterBy="#{model.major}" filterMatchMode="contains">
				<h:outputText value="#{model.major==null?'-':model.major}">
				</h:outputText>
			</p:column>
			<p:column headerText="university" sortBy="#{model.university}"
				filterBy="#{model.university.name}" filterMatchMode="contains ">
				<h:outputText
					value="#{model.university.name==null?'-':model.university.name}">
				</h:outputText>
			</p:column>
		</p:dataTable>
	</h:form>
</h:body>
</html>